### Function Macro

# GLib STRUCT_OFFSET

#### Declaration [src]

    #define G_STRUCT_OFFSET (
      struct_type,
      member
    )

#### Description [src]

Returns the offset, in bytes, of a member of a struct.

Consider using standard C `offsetof()`, available since at least C89 and C++98, in new code (but note that `offsetof()` returns a `size_t` rather than a `long`).

This function is not directly available to language bindings.

#### Parameters

`struct_type`

  Type: `-`

  A structure type, e.g. `GtkWidget`.

`member`

  Type: `-`

  A field in the structure, e.g. `window`.